Subject: Re: bug#56987: [PATCH] etc: guix-debbugs.el: new file.

From: Joshua Branson <[email-masked]>
Date: Wed, 10 Aug 2022 11:16:08 -0400

Joshua Branson <[email-masked]> writes:

I emailed the help-gnu-emacs list, to try ask how I would write a
function to only get open guix bugs and got back a pretty good reply. I
am just reposting those messages here:

>> But you can play with the QUERY argument of
>> debbugs-gnu-search, like  (this will get you only open bugs)
>>
>> (debbugs-gnu-search (read-string "Search String: ") '((pending . "open")) nil '("guix" "guix-patches"))

> Are you sure that works?
>
> (debbugs-gnu-search "wterm" '((status . "open")) nil '("guix" "guix-patches"))
>
> returns nothing
>
> (debbugs-gnu-search "wterm" '((pending . "open")) nil '("guix" "guix-patches"))
>
> returns nothing
>
> (debbugs-gnu-search "wterm"  nil nil '("guix" "guix-patches"))
>
> returns only closed bugs.  odd.
>
> M-x debbugs-gnu-search RET "wterm" RET RET x
>
> correctly returns bug 56965, which is an open bug.
>
> What am I doing wrong?

Michael Albinus <[email-masked]> writes:

Hi Joshua,

Well, I found the time now to check what's up.

> Hmm, looks like there's an error in debbugs-gnu-search. I'll check, but
> perhaps you might write a bug report about. I don't know whether I can
> handle it just now, due to time constraints.

There's indeed an error. The "status" attribute, when there is non-empty
query string, must be "pending" instead of "open". And it is mapped
internally to the attribute "pending".

All this shouldn't worry you. I've just pushed debbugs 0.33, which will appear
in a couple of hours on GNU ELPA. For the time being, you can apply

(debbugs-gnu-search "wterm" '((pending . "pending")) nil '("guix" "guix-patches"))

If you want to see only closed bugs, then call

(debbugs-gnu-search "wterm" '((pending . "done")) nil '("guix" "guix-patches"))

And if you want to see all bugs with this search string, there is

(debbugs-gnu-search "wterm" nil nil '("guix" "guix-patches"))

Best regards, Michael.

So I will be resubmitting this patch set, with a debbugs-guix-search
function that by default only returns open bug reports.

Thanks,

Joshua